package org.manzerbredes.open_klm.client;

import org.manzerbredes.open_klm.drivers.Driver;

public interface GUI{
	
	/**
	 * Get the type of driver the GUI handle
	 * 
	 * @return class that represent the type of the driver the GUI handle
	 */
	public Class<?> getType();
	
	/**
	 * 
	 * Init the GUI with driver
	 * 
	 * @param driver
	 * @return
	 */
	public boolean initGUI(Driver driver);
}